enter image description hereAs can be seen in the traceback the exception occurs when pyaudioconvert is imported. How can this be fixed?

Traceback below:

Traceback (most recent call last):
  File "C:\Users\320052863\PycharmProjects\Test\venv\lib\site-packages\pyaudioconvert\__init__.py", line 43, in <module>
    assert(bool_which('sox'))
AssertionError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/320052863/PycharmProjects/Test/hello.py", line 1, in <module>
    import pyaudioconvert
  File "C:\Users\320052863\PycharmProjects\Test\venv\lib\site-packages\pyaudioconvert\__init__.py", line 45, in <module>
    raise SoxNotInstalled()
pyaudioconvert.SoxNotInstalled

1 Answers

0
Lomtrur On

As the error message says, you need to install SoX.

It is also listed as a requirement for pyaudioconvert.